## starpu-contrib 1.4.5+dfsg

=== debian/changelog ===
starpu-contrib (1.4.5+dfsg-2build2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Dec 2024 21:55:58 +0100

starpu-contrib (1.4.5+dfsg-2build1) plucky; urgency=medium

  * No-change rebuild for openmpi soname change

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 01 Dec 2024 16:21:38 +0000

starpu-contrib (1.4.5+dfsg-2) unstable; urgency=medium

  * patches/gcc-14: Fix build with gcc 14.  Closes: Bug#1075537, Bug#1078230.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 21:54:03 +0200

starpu-contrib (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename library packages according to abi bumps.
    - patches/avoid-version: Upstreamed.
    - patches/python-destdir: Upstreamed.
  * control: Replace pkg-config with pkgconf.
  * watch: Check signature.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Apr 2024 16:17:42 +0200
