=== debian/control ===
Source: starpu-contrib
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
	chrpath,
	pkgconf,
	libnuma-dev [linux-any],
	libglpk-dev,
	mpi-default-dev,
	libgl-dev,
	libglu-dev,
	freeglut3-dev,
	libx11-dev,
	libblas-dev,
	libfftw3-dev,
	libhwloc-dev,
	libleveldb-dev,
	libhdf5-dev,
	libfxt-dev, pajeng,
	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32],
	python3-dev,
	libpython3-dev, python3-setuptools,
	python3-cloudpickle, python3-joblib, python3-numpy,
	clang      [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
	libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
	valgrind-if-available,
#	guile-2.2,
	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
	gfortran,
	help2man, doxygen,
	nvidia-cuda-toolkit-gcc (>= 10.1),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: contrib/libs
Homepage: https://starpu.gitlabpages.inria.fr/
Vcs-Git: https://salsa.debian.org/debian/starpu.git
Vcs-Browser: https://salsa.debian.org/debian/starpu

Package: libstarpu-contrib-dev
Section: contrib/libdevel
Architecture: any
Depends: libstarpu-contrib-1.4-5t64 (= ${binary:Version}) | libstarpu-contrib-any-1.4-5, libstarpu-contrib-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-contrib-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpu-contribfft-1.4-1t64 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.4-1, libstarpu-contribmpi-1.4-3t64 (= ${binary:Version}) | libstarpu-contrib-anympi-1.4-3, libsocl-contrib-1.4-1t64 (= ${binary:Version}) | libsocl-contrib-any-1.4-1, libstarpu-contribrm-1.4-1t64 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
Conflicts: libstarpu-dev
Provides: libstarpu-any-dev
Description: Task scheduler for heterogeneous multicore machines - dev
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains development headers and libraries.
 This "contrib" version is built against CUDA.

Package: libstarpu-contrib-1.4-5t64
Replaces: libstarpu-contrib-1.4-5
Breaks: libstarpu-contrib-1.4-5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-1.4-5, libstarpu-1.4-5t64
Provides: ${t64:Provides}, libstarpu-any-1.4-5
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the main StarPU library
 This "contrib" version is built against CUDA.

Package: libstarpu-contrib-openmp-llvm-1.4-1t64
Replaces: libstarpu-contrib-openmp-llvm-1.4-1
Breaks: libstarpu-contrib-openmp-llvm-1.4-1 (<< ${source:Version})
Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpu-openmp-llvm-1.4-1, libstarpu-openmp-llvm-1.4-1t64
Provides: ${t64:Provides}, libstarpu-any-openmp-llvm-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the runtime support for LLVM OpenMP.
 This "contrib" version is built against CUDA.

Package: libstarpu-contribfft-1.4-1t64
Replaces: libstarpu-contribfft-1.4-1
Breaks: libstarpu-contribfft-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpufft-1.4-1, libstarpufft-1.4-1t64
Provides: ${t64:Provides}, libstarpu-anyfft-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains a hybrid CPU+GPU FFT library.
 This "contrib" version is built against CUDA.

Package: libstarpu-contribmpi-1.4-3t64
Replaces: libstarpu-contribmpi-1.4-3
Breaks: libstarpu-contribmpi-1.4-3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpumpi-1.4-3, libstarpumpi-1.4-3t64
Provides: ${t64:Provides}, libstarpu-anympi-1.4-3
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains MPI extensions for StarPU.
 This "contrib" version is built against CUDA.

Package: starpu-contrib-tools
Section: contrib/utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: starpu-tools
Provides: starpu-any-tools
Recommends: python3:any
Description: Task scheduler for heterogeneous multicore machines - tools
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains StarPU tools.
 This "contrib" version is built against CUDA.

Package: starpu-contrib-examples
Section: contrib/science
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libstarpu-contrib-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
Replaces: libstarpu-contrib-1.4-1, libstarpu-contrib-1.4-1, libstarpu-1.4-2, libstarpu-contrib-1.4-2
Conflicts: starpu-examples
Provides: starpu-any-examples
Description: Task scheduler for heterogeneous multicore machines - exs
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains application examples.
 This "contrib" version is built against CUDA.

Package: libsocl-contrib-1.4-1t64
Replaces: libsocl-contrib-1.4-1
Breaks: libsocl-contrib-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsocl-1.4-1, libsocl-1.4-1t64
Provides: ${t64:Provides}, libsocl-any-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains an OpenCL-compatible library interface to StarPU.
 This "contrib" version is built against CUDA.

Package: libstarpu-contribrm-1.4-1t64
Replaces: libstarpu-contribrm-1.4-1
Breaks: libstarpu-contribrm-1.4-1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstarpurm-1.4-1, libstarpurm-1.4-1t64
Provides: ${t64:Provides}, libstarpu-anyrm-1.4-1
Description: Task scheduler for heterogeneous multicore machines
 StarPU is a runtime system that offers support for heterogeneous
 multicore machines. While many efforts are devoted to design efficient
 computation kernels for those architectures (e.g. to implement BLAS
 kernels on GPUs or on Cell's SPUs), StarPU not only takes care of
 offloading such kernels (and implementing data coherency across
 the machine), but it also makes sure the kernels are executed as
 efficiently as possible.
 .
 This package contains the resource management library.
 This "contrib" version is built against CUDA.
