=== debian/changelog ===
starpu-contrib (1.4.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Apr 2025 20:01:07 +0200

starpu-contrib (1.4.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-5t64 to libstarpu-1.4-6 according to soname bump.
    - patches/hipblas: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Apr 2025 16:32:49 +0200

starpu-contrib (1.4.5+dfsg-5) unstable; urgency=medium

  * control: Re-enable llvm omp and libstarpu-openmp-llvm package on mips64el,
    riscv64, and enable on loong64.
  * patches/gcc-15: Fix build with gcc-15 (Closes: Bug#1097937)
  * patches/hipblas: Fix hip build.
  * control: Add libamdhip64-dev and libhipblas-dev build-deps.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Apr 2025 16:31:26 +0200

starpu-contrib (1.4.5+dfsg-4) unstable; urgency=medium

  * control: Drop libstarpu-openmp-llvm package on i386, mips64el, riscv64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 22:47:49 +0100

starpu-contrib (1.4.5+dfsg-3) unstable; urgency=medium

  * control,rules: Disable llvm omp on i386, mips64el, riscv64.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Nov 2024 21:41:46 +0100
