=== debian/control ===
--- 
+++ 
@@ -21,11 +21,12 @@
 	python3-dev,
 	libpython3-dev, python3-setuptools,
 	python3-cloudpickle, python3-joblib, python3-numpy,
-	clang      [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
-	libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64],
+	clang      [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
+	libomp-dev [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
+	libamdhip64-dev [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el],
 	gfortran,
 	help2man, doxygen,
 	nvidia-cuda-toolkit-gcc (>= 10.1),
@@ -39,7 +40,15 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.4-5t64 (= ${binary:Version}) | libstarpu-contrib-any-1.4-5, libstarpu-contrib-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64] | libstarpu-contrib-any-openmp-llvm-1.4-1 [amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64], libstarpu-contribfft-1.4-1t64 (= ${binary:Version}) | libstarpu-contrib-anyfft-1.4-1, libstarpu-contribmpi-1.4-3t64 (= ${binary:Version}) | libstarpu-contrib-anympi-1.4-3, libsocl-contrib-1.4-1t64 (= ${binary:Version}) | libsocl-contrib-any-1.4-1, libstarpu-contribrm-1.4-1t64 (= ${binary:Version}) | libstarpu-contrib-anyrm-1.4-1, ${misc:Depends}, libhwloc-dev, opencl-headers, ocl-icd-opencl-dev, libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
+Depends: libstarpu-contrib-1.4-6 (= ${binary:Version}) | libstarpu-contrib-any-1.4-6,
+	libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
+	libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1,
+	libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3,
+	libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1,
+	libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1,
+	${misc:Depends},
+	libhwloc-dev, opencl-headers, ocl-icd-opencl-dev,
+	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -54,14 +63,12 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.4-5t64
-Replaces: libstarpu-contrib-1.4-5
-Breaks: libstarpu-contrib-1.4-5 (<< ${source:Version})
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.4-5, libstarpu-1.4-5t64
-Provides: ${t64:Provides}, libstarpu-any-1.4-5
+Package: libstarpu-contrib-1.4-6
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-1.4-6
+Provides: libstarpu-any-1.4-6
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -77,7 +84,7 @@
 Package: libstarpu-contrib-openmp-llvm-1.4-1t64
 Replaces: libstarpu-contrib-openmp-llvm-1.4-1
 Breaks: libstarpu-contrib-openmp-llvm-1.4-1 (<< ${source:Version})
-Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
+Architecture: amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libstarpu-openmp-llvm-1.4-1, libstarpu-openmp-llvm-1.4-1t64
