=== debian/changelog ===
starpu-contrib (1.4.8+dfsg-2) unstable; urgency=medium

  * control: Drop version of dependency on pkg-rocm-tools.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 14 Aug 2025 22:47:01 +0200

starpu-contrib (1.4.8+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Rename libstarpu-1.4-6 to libstarpu-1.4-7 according to soname bump.
    - patches/gcc-14: Upstreamed.
    - patches/gcc-15: Upstreamed.
    - patches/hipblas: Upstreamed.
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Aug 2025 00:39:30 +0200

starpu-contrib (1.4.7+dfsg-2+exp3) experimental; urgency=medium

  * patches/hip-opencl: Fix hip / OpenCL clash.
  * tests/examples: Run all tests before failing.
  * control: build-depend on pkg-rocm-tools that provides the list of archs to
    build for.
  * rules: Use rocm-target-arch to get list of HIP archs.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Jul 2025 20:46:33 +0200

starpu-contrib (1.4.7+dfsg-2+exp2) experimental; urgency=medium

  * rules: Disable dh_dwz.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Jul 2025 22:29:38 +0200

starpu-contrib (1.4.7+dfsg-2+exp1) experimental; urgency=medium

  * control: Add missing hipcc and librocblas-dev packages for HIP support.
  * tests/control: Add rocm CI test.
  * tests/examples: Also run starpu_machine_display.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Jul 2025 20:27:42 +0200
