=== debian/control ===
--- 
+++ 
@@ -26,12 +26,13 @@
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
-	libamdhip64-dev [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el],
+	libamdhip64-dev [amd64 arm64 ppc64el], hipcc [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
+	pkg-rocm-tools,
 	gfortran,
 	help2man, doxygen,
 	nvidia-cuda-toolkit-gcc (>= 10.1),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: contrib/libs
 Homepage: https://starpu.gitlabpages.inria.fr/
 Vcs-Git: https://salsa.debian.org/debian/starpu.git
@@ -40,7 +41,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.4-6 (= ${binary:Version}) | libstarpu-contrib-any-1.4-6,
+Depends: libstarpu-contrib-1.4-7 (= ${binary:Version}) | libstarpu-contrib-any-1.4-7,
 	libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
 	libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1,
 	libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3,
@@ -63,12 +64,12 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.4-6
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.4-6
-Provides: libstarpu-any-1.4-6
+Package: libstarpu-contrib-1.4-7
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-1.4-7
+Provides: libstarpu-any-1.4-7
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
