=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 export OMPI_CC
 
 export NVCCFLAGS = -Xcompiler -fPIC -Xcompiler -std=c++03
+export HIPCCFLAGS = $(foreach arch,$(shell rocm-target-arch),--offload-arch=$(arch))
 
 ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 CONFIGURE_NODOC = --disable-build-doc
@@ -67,6 +68,9 @@
 	# Debian does symlink libomp into libdir
 	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/starpu/examples/starpu_openmp_llvm/hello-task
 endif
+
+override_dh_dwz:
+	:
 
 override_dh_auto_clean:
 	# No idea why salsa CI is adding +x on libsocl-1.3-0.install and libstarpu-1.3-5.install (and no others...)
