## starpu-contrib 1.4.9%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	libleveldb-dev,
 	libhdf5-dev,
 	libfxt-dev, pajeng,
-	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32],
+	libpapi-dev [!s390x !alpha !hurd-any !m68k !powerpc !sh4 !sparc64],
 	python3-dev,
 	libpython3-dev, python3-setuptools,
 	python3-cloudpickle, python3-joblib, python3-numpy,
@@ -26,7 +26,8 @@
 	valgrind-if-available,
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
-	libamdhip64-dev [amd64 arm64 ppc64el], hipcc [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
+	libamdhip64-dev [amd64 arm64 ppc64el], hipcc [amd64 arm64 ppc64el],
+#	libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
 	pkg-rocm-tools,
 	gfortran,
 	help2man, doxygen,
@@ -41,15 +42,17 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.4-7 (= ${binary:Version}) | libstarpu-contrib-any-1.4-7,
-	libstarpu-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
-	libstarpufft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1,
-	libstarpumpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3,
-	libsocl-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1,
-	libstarpurm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1,
+Depends: libstarpu-contrib-1.4-8 (= ${binary:Version}) | libstarpu-any-1.4-8,
+	libstarpu-contrib-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
+	libstarpu-contribfft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1,
+	libstarpu-contribmpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3,
+	libsocl-contrib-1.4-1t64 (= ${binary:Version}) | libsocl-any-1.4-1,
+	libstarpu-contribrm-1.4-1t64 (= ${binary:Version}) | libstarpu-anyrm-1.4-1,
 	${misc:Depends},
-	libhwloc-dev, opencl-headers, ocl-icd-opencl-dev,
-	libpapi-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el hppa ppc64 x32]
+	libhwloc-dev,
+	libpapi-dev [!s390x !alpha !hurd-any !m68k !powerpc !sh4 !sparc64],
+	opencl-headers, ocl-icd-opencl-dev,
+	libamdhip64-dev [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
@@ -64,12 +67,12 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.4-7
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.4-7
-Provides: libstarpu-any-1.4-7
+Package: libstarpu-contrib-1.4-8
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-1.4-8
+Provides: libstarpu-any-1.4-8
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
@@ -88,7 +91,7 @@
 Architecture: amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-openmp-llvm-1.4-1, libstarpu-openmp-llvm-1.4-1t64
+Conflicts: libstarpu-openmp-llvm-1.4-1, libstarpu-contrib-openmp-llvm-1.4-1t64
 Provides: ${t64:Provides}, libstarpu-any-openmp-llvm-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
@@ -108,7 +111,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpufft-1.4-1, libstarpufft-1.4-1t64
+Conflicts: libstarpufft-1.4-1, libstarpu-contribfft-1.4-1t64
 Provides: ${t64:Provides}, libstarpu-anyfft-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
@@ -128,7 +131,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpumpi-1.4-3, libstarpumpi-1.4-3t64
+Conflicts: libstarpumpi-1.4-3, libstarpu-contribmpi-1.4-3t64
 Provides: ${t64:Provides}, libstarpu-anympi-1.4-3
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
@@ -189,7 +192,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libsocl-1.4-1, libsocl-1.4-1t64
+Conflicts: libsocl-1.4-1, libsocl-contrib-1.4-1t64
 Provides: ${t64:Provides}, libsocl-any-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
@@ -209,7 +212,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpurm-1.4-1, libstarpurm-1.4-1t64
+Conflicts: libstarpurm-1.4-1, libstarpu-contribrm-1.4-1t64
 Provides: ${t64:Provides}, libstarpu-anyrm-1.4-1
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
