=== debian/changelog ===
starpu-contrib (1.4.9+dfsg-2build1) resolute; urgency=medium

  * No-change rebuild for libomp5 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Oct 2025 19:51:45 +0100

starpu-contrib (1.4.9+dfsg-2) unstable; urgency=medium

  * control: Disable rocblas and hipblas depends for now too.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 28 Oct 2025 23:35:43 +0100

starpu-contrib (1.4.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Rename libstarpu-1.4-7 into libstarpu-1.4-8 according to soname bump.
    - patches/hip-opencl: Upstreamed.
  * rules: Fix setting contrib dependencies.
  * copyright: Drop physical address of FSF.
  * control: Disable rocblas and hipblas build-depends for now.
  * watch: Bump version.
  * control: Turn papi whitelist into a blacklist. This enables support on
    riscv64 and loong64 (Closes: #1111435)
  * copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 Oct 2025 11:46:30 +0100

starpu-contrib (1.4.8+dfsg-4) unstable; urgency=medium

  * control: Fix typo. 

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Aug 2025 09:29:13 +0200

starpu-contrib (1.4.8+dfsg-3) unstable; urgency=medium

  * control: Add missing dependency of libstarpu-dev on hip headers.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Aug 2025 01:25:02 +0200
