=== debian/control ===
--- 
+++ 
@@ -52,7 +52,8 @@
 	libhwloc-dev,
 	libpapi-dev [!s390x !alpha !hurd-any !m68k !powerpc !sh4 !sparc64],
 	opencl-headers, ocl-icd-opencl-dev,
-	libamdhip64-dev [amd64 arm64 ppc64el], libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
+	libamdhip64-dev [amd64 arm64 ppc64el],
+#	libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
 Conflicts: libstarpu-dev
 Provides: libstarpu-any-dev
 Description: Task scheduler for heterogeneous multicore machines - dev
