## starpu-contrib 1.4.10%2Bdfsg

=== debian/watch ===
Version: 5

Source: https://files.inria.fr/starpu/
Matching-Pattern: (?:|.*/)starpu(?:[_\-]v?|)@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/\+dfsg\d*$//
Pgpsigurlmangle: s/$/.asc/
Uversionmangle: s/(\d)(rc\d*)$/$1~$2/
