=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 #	guile-2.2,
 	opencl-c-headers, ocl-icd-opencl-dev | opencl-dev,
 	libamdhip64-dev [amd64 arm64 ppc64el], hipcc [amd64 arm64 ppc64el],
-#	libhipblas-dev [amd64 arm64 ppc64el], librocblas-dev [amd64 arm64 ppc64el],
+#	libhipblas-dev [amd64 arm64], librocblas-dev [amd64 arm64],
 	pkg-rocm-tools,
 	gfortran,
 	help2man, doxygen,
@@ -42,7 +42,7 @@
 Package: libstarpu-contrib-dev
 Section: contrib/libdevel
 Architecture: any
-Depends: libstarpu-contrib-1.4-8 (= ${binary:Version}) | libstarpu-any-1.4-8,
+Depends: libstarpu-contrib-1.4-9 (= ${binary:Version}) | libstarpu-any-1.4-9,
 	libstarpu-contrib-openmp-llvm-1.4-1t64 (= ${binary:Version}) [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64] | libstarpu-any-openmp-llvm-1.4-1 [amd64 arm64 armhf mips64el ppc64el riscv64 ppc64 loong64],
 	libstarpu-contribfft-1.4-1t64 (= ${binary:Version}) | libstarpu-anyfft-1.4-1,
 	libstarpu-contribmpi-1.4-3t64 (= ${binary:Version}) | libstarpu-anympi-1.4-3,
@@ -68,12 +68,12 @@
  This package contains development headers and libraries.
  This "contrib" version is built against CUDA.
 
-Package: libstarpu-contrib-1.4-8
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libstarpu-1.4-8
-Provides: libstarpu-any-1.4-8
+Package: libstarpu-contrib-1.4-9
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libstarpu-1.4-9
+Provides: libstarpu-any-1.4-9
 Description: Task scheduler for heterogeneous multicore machines
  StarPU is a runtime system that offers support for heterogeneous
  multicore machines. While many efforts are devoted to design efficient
